API ReferenceBoard Template
Retrieves the collection of BoardTemplate resources
GET
Retrieves the collection of BoardTemplate resources
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30name?stringorder[name]?stringDefault
"asc"Value in
"asc""desc"isPublic?booleanhidePublic?booleanBoardTemplate collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/project/board-templates'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "isPublic": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorName": "string", "jobPositionName": "string", "canLogIn": true, "isExternal": true } }]